### Enumeration

# GdkFrameClockPhase

#### Declaration

    flags Gdk.FrameClockPhase

#### Description [src]

Used to represent the different paint clock phases that can be requested.

The elements of the enumeration correspond to the signals of `GdkFrameClock`.

#### Members

`GDK_FRAME_CLOCK_PHASE_NONE`

  No phase.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_FLUSH_EVENTS`

  Corresponds to GdkFrameClock::flush-events. Should not be handled by applications.

  - Value: `1`
  - Nickname: `flush-events`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_BEFORE_PAINT`

  Corresponds to GdkFrameClock::before-paint. Should not be handled by applications.

  - Value: `2`
  - Nickname: `before-paint`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_UPDATE`

  Corresponds to GdkFrameClock::update.

  - Value: `4`
  - Nickname: `update`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_LAYOUT`

  Corresponds to GdkFrameClock::layout. Should not be handled by applications.

  - Value: `8`
  - Nickname: `layout`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_PAINT`

  Corresponds to GdkFrameClock::paint.

  - Value: `16`
  - Nickname: `paint`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_RESUME_EVENTS`

  Corresponds to GdkFrameClock::resume-events. Should not be handled by applications.

  - Value: `32`
  - Nickname: `resume-events`
  - Available since: 4.0
`GDK_FRAME_CLOCK_PHASE_AFTER_PAINT`

  Corresponds to GdkFrameClock::after-paint. Should not be handled by applications.

  - Value: `64`
  - Nickname: `after-paint`
  - Available since: 4.0